# Copyright (C) 2013  Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

locale_sources = \
	locale/C/libopkbuild_2.sh \
	locale/C/opkbuild.sh \
	locale/POSIX/libopkbuild_2.sh \
	locale/POSIX/opkbuild.sh \
	locale/en_US/libopkbuild_2.sh \
	locale/en_US/opkbuild.sh
locale_MESSAGES = $(locale_sources:.sh=.ms)

SUFFIXES += .ms
CLEANFILES += \
	$(locale_MESSAGES)
EXTRA_DIST += \
	$(locale_sources)

.sh.ms:
	$(AM_V_GEN)$(MKDIR_P) "$$(dirname $@)"
	$(AM_V_at)cp $< $@

all-local: $(locale_MESSAGES)

install-data-local: $(locale_MESSAGES)
	@$(NORMAL_INSTALL)
	set -e; for f in $(locale_MESSAGES); do \
		ff="$${f#*/}"; \
		dd="$(DESTDIR)/$(localedir)/$${ff%/?*}/LC_MESSAGES"; \
		$(MKDIR_P) "$${dd}"; \
		df="$${dd}/$${ff##*/}"; \
		cp "$${f}" "$${df}"; \
		chmod 644 "$${df}"; \
	done

uninstall-local:
	@$(NORMAL_UNINSTALL)
	set -e; for f in $(locale_MESSAGES); do \
		ff="$${f#*/}"; \
		dd="$(DESTDIR)/$(localedir)/$${ff%/?*}/LC_MESSAGES"; \
		df="$${dd}/$${ff##*/}"; \
		rm -f "$${df}"; \
	done
