# Tests for ob_iso8601_gmtime()
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 10

tst()
{
	local in="${1}"
	local out="${2}"
	shift 2

	is "${in} = ${out}" "$(ob_iso8601_gmtime "${in}")" "${out}"
}

tst          0 '1970-01-01T00:00:00Z'
tst          1 '1970-01-01T00:00:01Z'
tst     108123 '1970-01-02T06:02:03Z'
tst   41877296 '1971-04-30T16:34:56Z'
tst  762480000 '1994-03-01T00:00:00Z'
tst  962443230 '2000-07-01T09:20:30Z'
tst 1607419408 '2020-12-08T09:23:28Z'
tst 1609459199 '2020-12-31T23:59:59Z'
tst 1609510819 '2021-01-01T14:20:19Z'
tst 2147483648 '2038-01-19T03:14:08Z'
